Subject: Re: gitweb-projects

From: Jakub Narebski <[email-masked]>
Date: Fri, 24 Aug 2007 02:08:24 +0200

[Cc: Jon Smirl <[email-masked]>, [email-masked]]

Jon Smirl wrote:

> What is the magic incantation for encoding an email address along with
> the project owner name? From the source I see these strings need to be
> URL encoded (it doesn't seem to be in the doc)

It is mentioned in gitweb/INSTALL, in the "Gitweb repositories" section

> but now I'm getting XML errors.
>
> I tried this:
> mpc5200b.git Jon+Smirl+%3Cjonsmirl%2664%3Bgmail.com%3E

I guess that this might have nothing to do with URL-encoding of projects
index file, but with proper escaping in the gitweb, i.e. the string is
not wrapped in esc_html.

In other words, it is a bug in the gitweb.

> Does this string really need to be URL encoded? Couldn't you split on
> the first space and then url encode it in the perl code? That would
> let me write the string in English instead of geek.
> 
> mpc5200b.git Jon Smirl <[email-masked]>

Not possible, as path to repository can contain spaces.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git